<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateBlindBoxListTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('blind_box_list', function (Blueprint $table) {
            $table->increments('id');
            $table->string('projectName')->default('五人抽奖一人必中')->comment('盲盒抽奖项目名');
            $table->float('price')->comment('盲盒价格');
            $table->integer('max_participants_num')->comment('最高购买人数');
            $table->integer('min_participants_num')->comment('最低购买人数');
            $table->dateTime('start_time')->comment('项目开始时间');
            $table->dateTime('end_time')->comment('项目结束时间');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('blind_box_list');
    }
}
